use crate::util::IntoTableRow;
use anyhow::Result;
use jm_client_core::util::api;
use reqwest::Client;

pub async fn run(http: &Client) -> Result<()> {
    let users = api::users(http).await?;
    let mut table = crate::util::list_table();

    for u in users {
        table.add_row(u.into_table_row())
    }

    println!("{}", table.render());

    Ok(())
}
